Bug 76012 - glob failure in package name causes silent exit
glob failure in package name causes silent exit
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-15 15:26 EDT by Dennis Gregorovic
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-25 19:00:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gregorovic 2002-10-15 15:26:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020827

Description of problem:
When you try to install a package and the package name contains a glob , rpm
attempts to expand the glob.  If the glob does not match any filenames, then it
exits silently.  This is different behavior than one would expect.  I have
pasted an example below.

dgregor@galileo 5.1$ rpm -ivh /var/downloads/ccm-core-cms-devel-5.0.1-6.noarch.rpm
error: cannot get exclusive lock on /var/lib/rpm/Packages
error: cannot open Packages index using db3 - Operation not permitted (1)
error: cannot open Packages database in /var/lib/rpm
dgregor@galileo 5.1$ rpm -ivh /var/downloads/ccm-core-cms-devel-5.0.1-6.noarch.rpm2
error: open of /var/downloads/ccm-core-cms-devel-5.0.1-6.noarch.rpm2 failed: No
such file or directory
dgregor@galileo 5.1$ rpm -ivh
/var/downloads/ccm-core-cms-devel-5.0.1-6.noarch.rpm[2]
dgregor@galileo 5.1$ 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rpm -ivh <package name with glob characters>
2.
3.
	

Actual Results:  exits silently if there are no matches

Expected Results:  warns that no package or file exists and/or that no packages
given for install

Additional info:
Comment 1 Jeff Johnson 2002-10-25 19:00:50 EDT
Here's a simpler test case:
    bash$ ls -al /tmp/abcde
    ls: /tmp/abcde: No such file or directory
    bash$ sudo rpm -Uvh /tmp/abcde
    error: open of /tmp/abcde failed: No such file or directory
    bash$ sudo rpm -Uvh /tmp/abcde[1]
    bash$ touch /tmp/abcde
    bash$ sudo rpm -Uvh /tmp/abcde
    error: /tmp/abcde cannot be installed
    bash$ 

Comment 2 Jeff Johnson 2002-10-26 10:22:48 EDT
Error message added for gob failure:
	bash$ rpm -Uvh /tmp/abcde[1]
	error: File not found by glob: /tmp/abcde[1]
Should be in rpm-4.2-0.6 when built.

Note You need to log in before you can comment on or make changes to this bug.